إعادة التوجيه
تحديث توجيه
يحدث قاعدة توجيه عميل ضمن حساب المسار.
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
forwarding
/
{forwarding_id}
تحديث توجيه
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_email": "jsmith@example.com"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}"
payload = { "target_email": "jsmith@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_email: 'jsmith@example.com'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"target_email": "<string>",
"updated_at": "<string>",
"verification_required": true,
"verification_state": "internal",
"verification_expires_at": "<string>",
"verification_sent_at": "<string>",
"verification_verified_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}التفويضات
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
الجسم
application/json
طلب تحديث هدف توجيه.
إعادة توجيه عنوان البريد الإلكتروني الوجهة
الاستجابة
ما إذا كانت إعادة التوجيه نشطة
إعادة توجيه الطابع الزمني لإنشاء القاعدة
إعادة توجيه القاعدة UUID
المورد UUID لنطاق إعادة التوجيه
نوع نطاق المورد لقاعدة إعادة التوجيه
الخيارات المتاحة:
account, workspace, domain إعادة توجيه عنوان البريد الإلكتروني الوجهة
إعادة توجيه الطابع الزمني للتحديث الأخير لقاعدة
ما إذا كان التحقق من المستلم مطلوبًا أم لا
حالة التحقق من المستلم
الخيارات المتاحة:
internal, pending, verified, expired الطابع الزمني لانتهاء التحقق
تم إرسال الطابع الزمني لرسالة التحقق عبر البريد الإلكتروني
الطابع الزمني لاستكمال التحقق
هل كانت هذه الصفحة مفيدة؟
⌘I
تحديث توجيه
